Bug 662028 - Missing grub-install package on LiveCD
Summary: Missing grub-install package on LiveCD
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 11:27 UTC by Jeremy Whiting
Modified: 2013-01-10 06:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 10:03:49 UTC
Type: ---


Attachments (Terms of Use)

Description Jeremy Whiting 2010-12-10 11:27:56 UTC
Description of problem:
 I needed to re-install grub on the boot partition of my machine. Using the FC13 documentation I attempted to use the LiveCD for FC13 to complete the task but found the package is not included in the LiveCD.
 The documentation to complete this task has instructions.
http://docs.fedoraproject.org/en-US/Fedora/13/html/Installation_Guide/s1-rescuemode-boot.html#s2-rescuemode-boot-reinstall-bootloader

Version-Release number of selected component (if applicable):
Fedora Core 13 LiveCD.

How reproducible:
100%

Steps to Reproduce:
1. Run the LiveCD
2. Select the option in Anaconda for "Recover installed system"
3. Choose the option to drop into shell.
4. At the shell prompt type in 'grub-install'

Actual results:
bash: grub-install: command not found

Expected results:
The regular Usage information with command flags etc for grub-install.

Additional info:
Background:
So in my case, I had completed an upgrade from FC12 to 13. At the end of the upgrade then re-installed the grub boot loader. On the next system start the boot loader failed to go through the normal stages to load the system. This meant using a FC 13 recovery CD to re-install the grub boot loader again.

Workaround.
 The following workaround is for users that have a file system with FC 13 installed.
 The steps are
* complete the steps above, 1 to 3
* mount the file system, (eg /mnt/jrw )
* create symbolic links to the package on the file system where it should be
  # cd /sbin 
  # ln -s /mnt/jrw/sbin/grub-install grub-install

 The package is available can be called by the system.

Comment 1 Jeremy Whiting 2010-12-10 11:34:11 UTC
 The grub package is also missing on the FC13 recovery disk. So even though the workaround will allow the system to call grub-install it fails to complete.

Adding another symbolic link solves the missing grub package.

# ln -s /mnt/jrw/sbin/grub-install grub

Comment 2 Bug Zapper 2011-05-30 12:55:04 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-28 10:03:49 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.